import requests


# https://support.exlibrisgroup.com/s/login/CheckPasswordResetEmail
# https://{gateway-hostname}/primo/{version}/{resource-name}/{parameters}?{additional_parameter}=value&apikey={your_key}
api_key = <api_key>
api_key2 = <api_key>

url = 'https://api-na.hosted.exlibrisgroup.com/primo/v1/pnxs?vid=01CARLI_UIS:CARLI_UIS&tab=NewDiscoveryNetwork&scope=NewDiscoveryNetwork&q=any,contains,'
query = 'bananas'
assembled = url + query + api_key2
response = requests.get(assembled)
print(response.text)
print(assembled)
